package xiaoqu.home.open.model.db1;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 厕所空气质量
 * </p>
 *
 * @author mk
 * @since 2022-10-17
 */
@TableName("toilet_airquality")
@ApiModel(value="ToiletAirquality对象", description="厕所空气质量")
public class ToiletAirquality extends Model<ToiletAirquality> {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "创建id")
    @TableField("create_id")
    private Long createId;

    @ApiModelProperty(value = "创建时间")
    @TableField("create_time")
    private Date createTime;

    @ApiModelProperty(value = "修改id")
    @TableField("modify_id")
    private Long modifyId;

    @ApiModelProperty(value = "修改时间")
    @TableField("modify_time")
    private Date modifyTime;

    @ApiModelProperty(value = "设备id或mac")
    @TableField("airmac")
    private String airmac;

    @ApiModelProperty(value = "数据状态")
    @TableField("soft_delete")
    private Integer softDelete;

    @ApiModelProperty(value = "温度")
    @TableField("temp")
    private Double temp;

    @ApiModelProperty(value = "选中状态")
    @TableField("temp_check")
    private Integer tempCheck;

    @ApiModelProperty(value = "湿度")
    @TableField("hum")
    private Double hum;

    @ApiModelProperty(value = "选中状态")
    @TableField("hum_check")
    private Integer humCheck;

    @ApiModelProperty(value = "pm2.5")
    @TableField("pm2d5")
    private Double pm2d5;

    @ApiModelProperty(value = "选中状态")
    @TableField("pm2d5_check")
    private Integer pm2d5Check;

    @ApiModelProperty(value = "氨气")
    @TableField("ammonia")
    private Double ammonia;

    @ApiModelProperty(value = "选中状态")
    @TableField("ammonia_check")
    private Integer ammoniaCheck;

    @ApiModelProperty(value = "硫化氢")
    @TableField("hydrogensulfide")
    private Double hydrogensulfide;

    @ApiModelProperty(value = "选中状态")
    @TableField("hydrogensulfide_check")
    private Integer hydrogensulfideCheck;

    @ApiModelProperty(value = "pm10")
    @TableField("pm10")
    private Double pm10;

    @ApiModelProperty(value = "选中状态")
    @TableField("pm10_check")
    private Integer pm10Check;

    @ApiModelProperty(value = "pm1d0")
    @TableField("pm1d0")
    private Double pm1d0;

    @ApiModelProperty(value = "选中状态")
    @TableField("pm1d0_check")
    private Integer pm1d0Check;

    @ApiModelProperty(value = "co2")
    @TableField("co2")
    private Double co2;

    @ApiModelProperty(value = "选中状态")
    @TableField("co2_check")
    private Integer co2Check;

    @ApiModelProperty(value = "tvoc")
    @TableField("tvoc")
    private Double tvoc;

    @ApiModelProperty(value = "选中状态")
    @TableField("tvoc_check")
    private Integer tvocCheck;

    @ApiModelProperty(value = "厕所id")
    @TableField("toilet_id")
    private Long toiletId;

    @ApiModelProperty(value = "站点ID")
    @TableField("position_id")
    private Long positionId;

    @ApiModelProperty(value = "设备状态")
    @TableField("state")
    private Integer state;

    @ApiModelProperty(value = "运行状态")
    @TableField("run_state")
    private Integer runState;

    @ApiModelProperty(value = "H5模板id")
    @TableField("h5_model_id")
    private Long h5ModelId;

    @ApiModelProperty(value = "代理商")
    @TableField("agent_id")
    private Long agentId;

    @ApiModelProperty(value = "所属物业")
    @TableField("property_id")
    private Long propertyId;

    @ApiModelProperty(value = "站点ID")
    @TableField("district_id")
    private Long districtId;

    @ApiModelProperty(value = "楼id")
    @TableField("building_id")
    private Long buildingId;

    @ApiModelProperty(value = "楼层")
    @TableField("floor")
    private String floor;

    @ApiModelProperty(value = "安装位置")
    @TableField("install_position")
    private String installPosition;

    @ApiModelProperty(value = "甲醛")
    @TableField("formaldehyde")
    private Double formaldehyde;

    @ApiModelProperty(value = "选中状态")
    @TableField("formaldehyde_check")
    private Integer formaldehydeCheck;

    @ApiModelProperty(value = "产品key")
    @TableField("productKey")
    private String productKey;

    @ApiModelProperty(value = "厂商类型")
    @TableField("factory_type")
    private Integer factoryType;

    @ApiModelProperty(value = "二维码")
    @TableField("check_code")
    private String checkCode;

    @ApiModelProperty(value = "硬件版本")
    @TableField("hardware")
    private String hardware;

    @ApiModelProperty(value = "嵌入式版本")
    @TableField("firmware")
    private String firmware;

    @ApiModelProperty(value = "通讯协议")
    @TableField("protocol")
    private String protocol;

    @ApiModelProperty(value = "时间间隔")
    @TableField("up_interval")
    private Integer upInterval;

    @ApiModelProperty(value = "物联网卡imsi")
    @TableField("imsi")
    private String imsi;

    @ApiModelProperty(value = "信号强度")
    @TableField("signal_value")
    private String signalValue;

    @ApiModelProperty(value = "经度")
    @TableField("longitude")
    private String longitude;

    @ApiModelProperty(value = "纬度")
    @TableField("latitude")
    private String latitude;

    @ApiModelProperty(value = "上线状态0：未上线;1:上线")
    @TableField("online_state")
    private Integer onlineState;

    @ApiModelProperty(value = "上线时间")
    @TableField("online_time")
    private Date onlineTime;

    @ApiModelProperty(value = "烟感选中状态")
    @TableField("smoke_check")
    private Integer smokeCheck;

    @ApiModelProperty(value = "异味选中状态")
    @TableField("odour_check")
    private Integer odourCheck;


    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getCreateId() {
        return createId;
    }

    public void setCreateId(Long createId) {
        this.createId = createId;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Long getModifyId() {
        return modifyId;
    }

    public void setModifyId(Long modifyId) {
        this.modifyId = modifyId;
    }

    public Date getModifyTime() {
        return modifyTime;
    }

    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    public String getAirmac() {
        return airmac;
    }

    public void setAirmac(String airmac) {
        this.airmac = airmac;
    }

    public Integer getSoftDelete() {
        return softDelete;
    }

    public void setSoftDelete(Integer softDelete) {
        this.softDelete = softDelete;
    }

    public Double getTemp() {
        return temp;
    }

    public void setTemp(Double temp) {
        this.temp = temp;
    }

    public Integer getTempCheck() {
        return tempCheck;
    }

    public void setTempCheck(Integer tempCheck) {
        this.tempCheck = tempCheck;
    }

    public Double getHum() {
        return hum;
    }

    public void setHum(Double hum) {
        this.hum = hum;
    }

    public Integer getHumCheck() {
        return humCheck;
    }

    public void setHumCheck(Integer humCheck) {
        this.humCheck = humCheck;
    }

    public Double getPm2d5() {
        return pm2d5;
    }

    public void setPm2d5(Double pm2d5) {
        this.pm2d5 = pm2d5;
    }

    public Integer getPm2d5Check() {
        return pm2d5Check;
    }

    public void setPm2d5Check(Integer pm2d5Check) {
        this.pm2d5Check = pm2d5Check;
    }

    public Double getAmmonia() {
        return ammonia;
    }

    public void setAmmonia(Double ammonia) {
        this.ammonia = ammonia;
    }

    public Integer getAmmoniaCheck() {
        return ammoniaCheck;
    }

    public void setAmmoniaCheck(Integer ammoniaCheck) {
        this.ammoniaCheck = ammoniaCheck;
    }

    public Double getHydrogensulfide() {
        return hydrogensulfide;
    }

    public void setHydrogensulfide(Double hydrogensulfide) {
        this.hydrogensulfide = hydrogensulfide;
    }

    public Integer getHydrogensulfideCheck() {
        return hydrogensulfideCheck;
    }

    public void setHydrogensulfideCheck(Integer hydrogensulfideCheck) {
        this.hydrogensulfideCheck = hydrogensulfideCheck;
    }

    public Double getPm10() {
        return pm10;
    }

    public void setPm10(Double pm10) {
        this.pm10 = pm10;
    }

    public Integer getPm10Check() {
        return pm10Check;
    }

    public void setPm10Check(Integer pm10Check) {
        this.pm10Check = pm10Check;
    }

    public Double getPm1d0() {
        return pm1d0;
    }

    public void setPm1d0(Double pm1d0) {
        this.pm1d0 = pm1d0;
    }

    public Integer getPm1d0Check() {
        return pm1d0Check;
    }

    public void setPm1d0Check(Integer pm1d0Check) {
        this.pm1d0Check = pm1d0Check;
    }

    public Double getCo2() {
        return co2;
    }

    public void setCo2(Double co2) {
        this.co2 = co2;
    }

    public Integer getCo2Check() {
        return co2Check;
    }

    public void setCo2Check(Integer co2Check) {
        this.co2Check = co2Check;
    }

    public Double getTvoc() {
        return tvoc;
    }

    public void setTvoc(Double tvoc) {
        this.tvoc = tvoc;
    }

    public Integer getTvocCheck() {
        return tvocCheck;
    }

    public void setTvocCheck(Integer tvocCheck) {
        this.tvocCheck = tvocCheck;
    }

    public Long getToiletId() {
        return toiletId;
    }

    public void setToiletId(Long toiletId) {
        this.toiletId = toiletId;
    }

    public Long getPositionId() {
        return positionId;
    }

    public void setPositionId(Long positionId) {
        this.positionId = positionId;
    }

    public Integer getState() {
        return state;
    }

    public void setState(Integer state) {
        this.state = state;
    }

    public Integer getRunState() {
        return runState;
    }

    public void setRunState(Integer runState) {
        this.runState = runState;
    }

    public Long geth5ModelId() {
        return h5ModelId;
    }

    public void seth5ModelId(Long h5ModelId) {
        this.h5ModelId = h5ModelId;
    }

    public Long getAgentId() {
        return agentId;
    }

    public void setAgentId(Long agentId) {
        this.agentId = agentId;
    }

    public Long getPropertyId() {
        return propertyId;
    }

    public void setPropertyId(Long propertyId) {
        this.propertyId = propertyId;
    }

    public Long getDistrictId() {
        return districtId;
    }

    public void setDistrictId(Long districtId) {
        this.districtId = districtId;
    }

    public Long getBuildingId() {
        return buildingId;
    }

    public void setBuildingId(Long buildingId) {
        this.buildingId = buildingId;
    }

    public String getFloor() {
        return floor;
    }

    public void setFloor(String floor) {
        this.floor = floor;
    }

    public String getInstallPosition() {
        return installPosition;
    }

    public void setInstallPosition(String installPosition) {
        this.installPosition = installPosition;
    }

    public Double getFormaldehyde() {
        return formaldehyde;
    }

    public void setFormaldehyde(Double formaldehyde) {
        this.formaldehyde = formaldehyde;
    }

    public Integer getFormaldehydeCheck() {
        return formaldehydeCheck;
    }

    public void setFormaldehydeCheck(Integer formaldehydeCheck) {
        this.formaldehydeCheck = formaldehydeCheck;
    }

    public String getProductKey() {
        return productKey;
    }

    public void setProductKey(String productKey) {
        this.productKey = productKey;
    }

    public Integer getFactoryType() {
        return factoryType;
    }

    public void setFactoryType(Integer factoryType) {
        this.factoryType = factoryType;
    }

    public String getCheckCode() {
        return checkCode;
    }

    public void setCheckCode(String checkCode) {
        this.checkCode = checkCode;
    }

    public String getHardware() {
        return hardware;
    }

    public void setHardware(String hardware) {
        this.hardware = hardware;
    }

    public String getFirmware() {
        return firmware;
    }

    public void setFirmware(String firmware) {
        this.firmware = firmware;
    }

    public String getProtocol() {
        return protocol;
    }

    public void setProtocol(String protocol) {
        this.protocol = protocol;
    }

    public Integer getUpInterval() {
        return upInterval;
    }

    public void setUpInterval(Integer upInterval) {
        this.upInterval = upInterval;
    }

    public String getImsi() {
        return imsi;
    }

    public void setImsi(String imsi) {
        this.imsi = imsi;
    }

    public String getSignalValue() {
        return signalValue;
    }

    public void setSignalValue(String signalValue) {
        this.signalValue = signalValue;
    }

    public String getLongitude() {
        return longitude;
    }

    public void setLongitude(String longitude) {
        this.longitude = longitude;
    }

    public String getLatitude() {
        return latitude;
    }

    public void setLatitude(String latitude) {
        this.latitude = latitude;
    }

    public Integer getOnlineState() {
        return onlineState;
    }

    public void setOnlineState(Integer onlineState) {
        this.onlineState = onlineState;
    }

    public Date getOnlineTime() {
        return onlineTime;
    }

    public void setOnlineTime(Date onlineTime) {
        this.onlineTime = onlineTime;
    }

    public Integer getSmokeCheck() {
        return smokeCheck;
    }

    public void setSmokeCheck(Integer smokeCheck) {
        this.smokeCheck = smokeCheck;
    }

    public Integer getOdourCheck() {
        return odourCheck;
    }

    public void setOdourCheck(Integer odourCheck) {
        this.odourCheck = odourCheck;
    }

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    @Override
    public String toString() {
        return "ToiletAirquality{" +
        "id=" + id +
        ", createId=" + createId +
        ", createTime=" + createTime +
        ", modifyId=" + modifyId +
        ", modifyTime=" + modifyTime +
        ", airmac=" + airmac +
        ", softDelete=" + softDelete +
        ", temp=" + temp +
        ", tempCheck=" + tempCheck +
        ", hum=" + hum +
        ", humCheck=" + humCheck +
        ", pm2d5=" + pm2d5 +
        ", pm2d5Check=" + pm2d5Check +
        ", ammonia=" + ammonia +
        ", ammoniaCheck=" + ammoniaCheck +
        ", hydrogensulfide=" + hydrogensulfide +
        ", hydrogensulfideCheck=" + hydrogensulfideCheck +
        ", pm10=" + pm10 +
        ", pm10Check=" + pm10Check +
        ", pm1d0=" + pm1d0 +
        ", pm1d0Check=" + pm1d0Check +
        ", co2=" + co2 +
        ", co2Check=" + co2Check +
        ", tvoc=" + tvoc +
        ", tvocCheck=" + tvocCheck +
        ", toiletId=" + toiletId +
        ", positionId=" + positionId +
        ", state=" + state +
        ", runState=" + runState +
        ", h5ModelId=" + h5ModelId +
        ", agentId=" + agentId +
        ", propertyId=" + propertyId +
        ", districtId=" + districtId +
        ", buildingId=" + buildingId +
        ", floor=" + floor +
        ", installPosition=" + installPosition +
        ", formaldehyde=" + formaldehyde +
        ", formaldehydeCheck=" + formaldehydeCheck +
        ", productKey=" + productKey +
        ", factoryType=" + factoryType +
        ", checkCode=" + checkCode +
        ", hardware=" + hardware +
        ", firmware=" + firmware +
        ", protocol=" + protocol +
        ", upInterval=" + upInterval +
        ", imsi=" + imsi +
        ", signalValue=" + signalValue +
        ", longitude=" + longitude +
        ", latitude=" + latitude +
        ", onlineState=" + onlineState +
        ", onlineTime=" + onlineTime +
        ", smokeCheck=" + smokeCheck +
        ", odourCheck=" + odourCheck +
        "}";
    }
}
